=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2010-03-15 22:57:37 +0000
+++ drizzled/table_share.h	2010-03-16 03:28:36 +0000
@@ -213,6 +213,14 @@
     return db.str;
   }
 
+  const std::string &getSchemaName(std::string &schema_name_arg) const
+  {
+    schema_name_arg.clear();
+    schema_name_arg.append(db.str, db.length);
+
+    return schema_name_arg;
+  }
+
   uint32_t   block_size;                   /* create information */
 
   uint64_t   version;

=== modified file 'plugin/table_cache_dictionary/table_cache.cc'
--- plugin/table_cache_dictionary/table_cache.cc	2010-03-15 21:50:05 +0000
+++ plugin/table_cache_dictionary/table_cache.cc	2010-03-16 03:28:36 +0000
@@ -122,7 +122,8 @@
     push(static_cast<int64_t>(0));
 
   /* TABLE_SCHEMA 2 */
-  push(table->getShare()->getSchemaName());
+  string arg;
+  push(table->getShare()->getSchemaName(arg));
 
   /* TABLE_NAME  3 */
   push(table->getShare()->getTableName());

=== modified file 'plugin/table_cache_dictionary/table_definition_cache.cc'
--- plugin/table_cache_dictionary/table_definition_cache.cc	2010-03-15 21:50:05 +0000
+++ plugin/table_cache_dictionary/table_definition_cache.cc	2010-03-16 03:28:36 +0000
@@ -99,7 +99,8 @@
   */
 
   /* TABLE_SCHEMA 1 */
-  push(share->getSchemaName());
+  string arg;
+  push(share->getSchemaName(arg));
 
   /* TABLE_NAME  2 */
   push(share->getTableName());

